Bug 153041 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 22:59 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 02:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes the warnings (3.67 KB, patch)
2005-04-01 00:10 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 22:59:16 EST
Description of problem:

/usr/share/system-config-language/language_gui.py:68: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.msgLabel.set_line_wrap(gtk.TRUE)
/usr/share/system-config-language/language_gui.py:82: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.langView.set_property("headers-visible", gtk.FALSE)
/usr/share/system-config-language/language_gui.py:120: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.langView.set_cursor(path, self.col, gtk.FALSE)
/usr/share/system-config-language/language_gui.py:121: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.langView.scroll_to_cell(path, self.col, gtk.TRUE, 0.5, 0.5)
/usr/share/system-config-language/language_gui.py:278: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.iconBox.pack_start(self.icon, gtk.FALSE)
/usr/share/system-config-language/language_gui.py:280: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.toplevel.pack_start(self.iconBox, gtk.FALSE)
/usr/share/system-config-language/language_gui.py:282: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.toplevel.pack_start(gtk.HSeparator(), gtk.FALSE)
/usr/share/system-config-language/language_gui.py:283: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.toplevel.pack_start(self.bb, gtk.FALSE)


Version-Release number of selected component (if applicable):

1.1.8-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-04-01 00:10:05 EST
Created attachment 112566 [details]
fixes the warnings
Comment 2 Paul Nasrat 2005-04-01 01:56:10 EST
Umm this was already fixed in cvs not built - which cvs were you checking against.

All config tools are on elvis - thanks for the poke though will build today.

Note You need to log in before you can comment on or make changes to this bug.